import cloneArrayBuffer from "./_cloneArrayBuffer.mjs";
function cloneDataView(dataView, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer(dataView.buffer) : dataView.buffer;
  return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
}
export {
  cloneDataView as default
};
